Home Wiki > Репозитории GNOME
Sign up | Login

Репозитории GNOME

tagline: Материал из openSUSE

Эта статья содержит сведения о том, как добавить репозитории GNOME.
Эта страница использует $текущие для обозначения текущей версии openSUSE. На момент отправки этого документа, мы используем openSUSE 11.4


GNOME:Factory / G:F

Здесь последняя версия пакетов GNOME.

http://download.opensuse.org/repositories/GNOME:/Factory/

  • Мы предлагаем пакеты как для Factory так и для $текущий версии
  • Это означает, что при подключении этого репозитория, вы можете обновить GNOME или использовать новый GNOME как в $последней версии.
  • После включения этого репозитория, вы должны использовать 'zypper dup' в командной строке для обновления вашего GNOME.

GNOME:Contrib / G:C

Здесь пакеты для Contrib (т. е. официальный репозиторий дополнительных пакетов openSUSE) разработки. Он содержит самую последнюю версию многих приложений.

http://download.opensuse.org/repositories/GNOME:/Contrib/

  • Мы предлагаем пакеты как для Factory так и для $текущей версии

GNOME:Backports:x.yy / G:B:x.yy (где x.yy = версия GNOME, или Factory)

Обновленные пакеты, необходимые для сборки и установки GNOME из G: S: x.yy или G: F на $текущую версию. Смотрите GNOME/2.26 для примера о том, как включить этот репозиторий для GNOME 2.26..

http://download.opensuse.org/repositories/GNOME:/Backports:/

  • Если пакет в $текущей версии GNOME устарел, собранные обновленные пакеты будут размещены здесь. Кроме того, если новые пакеты GNOME в G: F не подходят для установки на $текущую версию, соответствующий версии пакета будут поставлены здесь.
    • Например, с GNOME 2.26, есть новая версия GNOME gnome-power-manager. Эта новая версия требует DeviceKit и DeviceKit-power (оба новые пакеты). Этот пакет, в свою очередь требует новой версии Udev. Так как мы не хотим обновлять критические базовые компоненты, если этого можно избежать. Таким образом GNOME будет обновлен до 2,26, а gnome-power-manager будет оставаться версии 2.24.
  • Вы должны включить этот репозиторий в сочетании с G: S:. X.yy или G: F, а затем использовать "zypper dup", чтобы получить все обновления правильно.

GNOME:STABLE:x.yy / G:S:x.yy (где x.yy = GNOME версия)

Это место где хранятся пакеты программ для $текущей версии.(Версия GNOME, которая поставляется с $текущей) Смотрите GNOME/2.26 для примера о том, как включить этот репозиторий для GNOME 2.26

http://download.opensuse.org/repositories/GNOME:/STABLE:/

  • Вышестоящие обновления для $текущей версии GNOME отправляются сюда.
  • Пакеты из G:B также будут скопированы в этот репозиторий, но Factory будут использованы только в следующей версии openSUSE.
  • Если все, что хотите это последнее обновление для $текущих GNOME, вы не должны активировать репозитории G: F или G: B
  • После включения вам необходимо использовать zypper up через командную строку.

GNOME:Apps

GNOME:Apps хранилище для популярных приложений GNOME, которые не следуют циклу релиза GNOME, такие как GIMP, Inkscape и Pidgin. Это место для развития пакетов предназначенных для Factory.

Кроме того, старшие проектов GNOME могут поддерживать собственные репозитории для своих приложений. Например, Tomboy хоть и является частью GNOME и есть во всех стандартных репозиториях GNOME, проект имеет свой репозиторий, последние релизы Tomboy доступны в GNOME:Apps:Tomboy, и ее последняя разработка в GNOME:Apps:Tomboy:Unstable. Таким образом отдельные хранилища\репозитории для каждого приложения позволяют обновлять отдельные приложения GNOME без добавления больших хранилищ, которые предлагают модернизацию всего стека GNOME. Перечень этих хранилищ доступен на GNOME/Repositories/Apps.